Description

Many times I thought it would be great if text written by Orangutan would be “colorized”... This way we can highlight urgent issues,

highlight important part of messages etc.

Preliminary research if it is possible did not give any results. Looks like XMPP library used does not support this (rich text messages).

But... Should it stop us?  There is always possibility to improve things even if this is third party lib...

Any help (with research e.g.) would be appreciated!

History

#1 - 13 Oct 2010 19:37 - Kostyantyn Korniyenko

it would be interesting even to just look on that !!!

#2 - 29 Oct 2010 23:49 - Andriy Lesyuk

- Category set to Core

#3 - 02 Feb 2011 16:31 - Andriy Lesyuk

- Target version set to 2.00

#4 - 03 Feb 2011 17:10 - Andriy Lesyuk

- Subject changed from Color highlighting to Rich text/formatting support

#5 - 03 Mar 2011 01:01 - Andriy Lesyuk

- Tracker changed from Improvement to Enhancement

#6 - 04 Mar 2011 13:56 - Andriy Lesyuk

Samples:

T 192.168.2.5:5222 -> 192.168.6.6:59739 [AP]

  <message type='chat' xml:lang='en' id='sd78' to='s-andy@jabber.****/Home' from='okulynyn@jabber.****/Pandion

'><body>.... ........ ............ ........

  .......... ............, .. ..........</body><html xmlns='http://jabber.org/protocol/xhtml-im'><body xmlns='

http://www.w3.org/1999/xhtml' style='font-s

  tyle: normal; font-family: berlin sans fb; color: #000000; font-size: 14pt; font-weight: bold'>

.... ........ ............ .................. ..........

  .., .. ..........</body></html><x xmlns='jisp:x:jep-0038'><name>shinyicons</name></x><active xmlns='

http://jabber.org/protocol/chatstates'/></message>

T 192.168.2.5:5222 -> 192.168.6.6:59739 [AP]

  <message type='chat' id='purple205b34f2' to='s-andy@jabber.****/Home' from='alundyak@jabber.****/Home'>

<active xmlns='http://jabber.org/protocol/chatst

  ates'/><body>

Ok - this is Bold.This is Italic..and this text is very different .so to test this all we need to try all vari

ants..isn&apos;t?</body><htm

  l xmlns='http://jabber.org/protocol/xhtml-im'><body xmlns='http://www.w3.org/1999/xhtml'><p>Ok - this is 

<span style='font-weight: bold;'>Bold</span><b

  r/>This is <em>Italic</em><br/><br/>and <span style='font-size: small;'>this</span> <span style='
text-decoration: underline;'>text is </span>very <span

   style='text-decoration: line-through;'>different</span> <br/>so <span style='background: #D21C1C;'>

to test this all we need </span>to <span style='col

  or: #2FB7A1;'>try all variants</span>.<br/><span style='font-size: large;'>isn&apos;t?</span></p></body>

</html></message>
